Please keep autotools support

Nicholas Wourms nwourms at gmail.com
Wed Jul 16 09:29:06 PDT 2008


Hello,

I noticed that yasm has the cmake infrastructure in the subversion
trunk. Please, do not switch to cmake exclusively. Some of us prefer
the autotools and do not like working with cmake, which is just
another dumb build system to learn. Thus, if you must have cmake,
please continue to provide support for autotools. Also, I'm sure that
automake, autoconf, and libtool would benefit from patches sent to
them in order to support yasm as a target compiler (in the same way as
AS and CCAS macros).

Cheers,
Nicholas



More information about the yasm-devel mailing list